package com.ruoyi.project.patrol.patrol.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 检查计划对象 t_patrol_plan
 *
 * @author ruoyi
 * @date 2023-08-29
 */
public class TPatrolPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 计划名称 */
    @Excel(name = "计划名称")
    private String planName;

    /** 年度 */
    @Excel(name = "年度")
    private Long planYear;

    /** 季度 */
    @Excel(name = "季度")
    private Long planQuarter;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 检测数量 */
    @Excel(name = "检测数量")
    private Long devNum;

    /** 检测频次 */
    @Excel(name = "检测频次")
    private String detectionFrequency;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date confirmDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    private String patrolType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date deadline;

    private Long checkedNum;

    private Long uncheckedNum;

    private Long status;

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public Long getCheckedNum() {
        return checkedNum;
    }

    public void setCheckedNum(Long checkedNum) {
        this.checkedNum = checkedNum;
    }

    public Long getUncheckedNum() {
        return uncheckedNum;
    }

    public void setUncheckedNum(Long uncheckedNum) {
        this.uncheckedNum = uncheckedNum;
    }


    public Date getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(Date confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getPatrolType() {
        return patrolType;
    }

    public void setPatrolType(String patrolType) {
        this.patrolType = patrolType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlanName(String planName)
    {
        this.planName = planName;
    }

    public String getPlanName()
    {
        return planName;
    }
    public void setPlanYear(Long planYear)
    {
        this.planYear = planYear;
    }

    public Long getPlanYear()
    {
        return planYear;
    }
    public void setPlanQuarter(Long planQuarter)
    {
        this.planQuarter = planQuarter;
    }

    public Long getPlanQuarter()
    {
        return planQuarter;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setDevNum(Long devNum)
    {
        this.devNum = devNum;
    }

    public Long getDevNum()
    {
        return devNum;
    }
    public void setDetectionFrequency(String detectionFrequency)
    {
        this.detectionFrequency = detectionFrequency;
    }

    public String getDetectionFrequency()
    {
        return detectionFrequency;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planName", getPlanName())
            .append("planYear", getPlanYear())
            .append("planQuarter", getPlanQuarter())
            .append("confirmed", getConfirmed())
            .append("devNum", getDevNum())
            .append("detectionFrequency", getDetectionFrequency())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
